Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.common.util
Enum Version.Qualifier.Prefix

    java.lang.Object
      java.lang.Enum<Version.Qualifier.Prefix>
          org.jboss.portal.common.util.Version.Qualifier.Prefix

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Version.Qualifier.Prefix>

Enclosing class:
  Version.Qualifier

    public static enum Version.Qualifier.Prefix

extends java.lang.Enum<Version.Qualifier.Prefix>

Enum Constant Summary
`ALPHA`
`BETA`
`CR`
`GA`
`SNAPSHOT`
`SP`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`boolean` | `isSuffixable()`
`java.lang.String` | `toString()`
`static Version.Qualifier.Prefix` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Version.Qualifier.Prefix[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SNAPSHOT

    public static final Version.Qualifier.Prefix SNAPSHOT

### ALPHA

    public static final Version.Qualifier.Prefix ALPHA

### BETA

    public static final Version.Qualifier.Prefix BETA

### CR

    public static final Version.Qualifier.Prefix CR

### GA

    public static final Version.Qualifier.Prefix GA

### SP

    public static final Version.Qualifier.Prefix SP

Method Detail

### values

    public static final Version.Qualifier.Prefix[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Version.Qualifier.Prefix c : Version.Qualifier.Prefix.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Version.Qualifier.Prefix valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getName

    public java.lang.String getName()

### isSuffixable

    public boolean isSuffixable()

### getDescription

    public java.lang.String getDescription()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<Version.Qualifier.Prefix>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008. All Rights Reserved.